Bug 1445675 - Review Request: alembic - Open framework for storing and sharing scene data
Summary: Review Request: alembic - Open framework for storing and sharing scene data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 09:20 UTC by Simone Caronni
Modified: 2017-06-09 18:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 00:26:22 UTC
luya: fedora-review+


Attachments (Terms of Use)

Description Simone Caronni 2017-04-26 09:20:21 UTC
Spec URL: https://slaanesh.fedorapeople.org/alembic.spec
SRPM URL: https://slaanesh.fedorapeople.org/alembic-1.7.1-1.fc25.src.rpm
Description:
Alembic is an open computer graphics interchange framework. Alembic distills
complex, animated scenes into a non-procedural, application-independent set of
baked geometric results. This 'distillation' of scenes into baked geometry is
exactly analogous to the distillation of lighting and rendering scenes into
rendered image data.

Fedora Account System Username: slaanesh

Comment 1 Simone Caronni 2017-04-26 09:22:28 UTC
Koji scratch build here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=19199477

Package is a build option for Blender.

Comment 2 Luya Tshimbalanga 2017-05-04 00:38:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 51 files have unknown
     license. 
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see below	).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in alembic-
     libs , alembic-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: alembic-1.7.1-1.fc27.x86_64.rpm
          alembic-libs-1.7.1-1.fc27.x86_64.rpm
          alembic-devel-1.7.1-1.fc27.x86_64.rpm
          alembic-debuginfo-1.7.1-1.fc27.x86_64.rpm
          alembic-1.7.1-1.fc27.src.rpm
alembic.x86_64: W: only-non-binary-in-usr-lib
alembic.x86_64: W: no-documentation
alembic.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
alembic.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
alembic.x86_64: W: no-manual-page-for-binary abcls
alembic.x86_64: W: no-manual-page-for-binary abctree
alembic.x86_64: W: no-manual-page-for-binary abcconvert
alembic.x86_64: W: no-manual-page-for-binary abcdiff
alembic.x86_64: W: no-manual-page-for-binary abcstitcher
alembic.x86_64: W: no-manual-page-for-binary abcecho
alembic.x86_64: W: no-manual-page-for-binary abcechobounds
alembic-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
alembic-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
alembic-libs.x86_64: W: file-not-utf8 /usr/share/doc/alembic-libs/ACKNOWLEDGEMENTS.txt
alembic-devel.x86_64: W: only-non-binary-in-usr-lib
alembic-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 16 warnings.




Rpmlint (debuginfo)
-------------------
Checking: alembic-debuginfo-1.7.1-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_U16LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Pcreate
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aexists
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_INT8_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tget_size
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_INT16_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Fopen
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5check_version
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Awrite
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aclose
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aiterate_by_name
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_IEEE_F64LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Acreate2
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_INT64_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Dget_space
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Literate
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_I16LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Gcreate2
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aiterate2
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Rdereference
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Iget_name
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Sget_simple_extent_npoints
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aopen
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Pset_link_creation_order
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_LLONG_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Dread
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Fget_obj_ids
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tequal
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tset_sign
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Pset_deflate
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aget_space
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Sget_simple_extent_ndims
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_U64LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_UINT64_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tset_size
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Fis_hdf5
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5P_CLS_GROUP_CREATE_ID_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_I8LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Fget_obj_count
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aget_type
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Fcreate
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Rcreate
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Pclose
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_I32LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Screate_simple
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_DOUBLE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Sget_simple_extent_dims
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tset_offset
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_C_S1_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_U8LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Lexists
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Dopen2
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tcopy
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Dget_type
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tget_sign
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Screate
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Oget_info_by_name
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_IEEE_F32LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_FLOAT_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Pset_libver_bounds
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_UINT32_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aread
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Iget_file_id
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Lcreate_hard
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5P_CLS_DATASET_CREATE_ID_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Literate_by_name
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tset_fields
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_I64LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Sclose
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_U32LE_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Sget_simple_extent_type
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tset_pad
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5open
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5get_libversion
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Pset_chunk
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Oclose
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_STD_REF_OBJ_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tclose
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_SCHAR_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_INT32_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Gopen2
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_UINT8_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Dwrite
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tset_precision
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Dclose
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5T_NATIVE_UINT16_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Tget_class
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5P_CLS_FILE_ACCESS_ID_g
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Fclose
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Gclose
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Dcreate2
alembic-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libAlembic.so.1.7.1 H5Aget_name
alembic-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libAlembic.so.1.7.1 /lib64/libImath-2_2.so.12
alembic-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libAlembic.so.1.7.1 /lib64/libIlmThread-2_2.so.12
alembic-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libAlembic.so.1.7.1 /lib64/libIexMath-2_2.so.12
alembic-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
alembic-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
alembic-libs.x86_64: W: file-not-utf8 /usr/share/doc/alembic-libs/ACKNOWLEDGEMENTS.txt
alembic.x86_64: W: only-non-binary-in-usr-lib
alembic.x86_64: W: no-documentation
alembic.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
alembic.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
alembic.x86_64: W: no-manual-page-for-binary abcconvert
alembic.x86_64: W: no-manual-page-for-binary abcdiff
alembic.x86_64: W: no-manual-page-for-binary abcecho
alembic.x86_64: W: no-manual-page-for-binary abcechobounds
alembic.x86_64: W: no-manual-page-for-binary abcls
alembic.x86_64: W: no-manual-page-for-binary abcstitcher
alembic.x86_64: W: no-manual-page-for-binary abctree
alembic-devel.x86_64: W: only-non-binary-in-usr-lib
alembic-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 111 warnings.



Requires
--------
alembic-debuginfo (rpmlib, GLIBC filtered):

alembic-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libHalf.so.12()(64bit)
    libIex-2_2.so.12()(64bit)
    libIexMath-2_2.so.12()(64bit)
    libIlmThread-2_2.so.12()(64bit)
    libImath-2_2.so.12()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)

alembic (rpmlib, GLIBC filtered):
    libAlembic.so.1.7()(64bit)
    libHalf.so.12()(64bit)
    libIex-2_2.so.12()(64bit)
    libIexMath-2_2.so.12()(64bit)
    libIlmThread-2_2.so.12()(64bit)
    libImath-2_2.so.12()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhdf5.so.10()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

alembic-devel (rpmlib, GLIBC filtered):
    alembic(x86-64)
    cmake(x86-64)
    libAlembic.so.1.7()(64bit)

For the patch part, 
Patches link to upstream bugs/comments/lists or are otherwise justified.
make sure to either submit a bug report or add a comment for the justification. Once you do that step, the package will be approved.

Comment 3 Simone Caronni 2017-05-06 09:46:01 UTC
(In reply to Luya Tshimbalanga from comment #2)
> [?]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
> For the patch part, 
> Patches link to upstream bugs/comments/lists or are otherwise justified.
> make sure to either submit a bug report or add a comment for the
> justification. Once you do that step, the package will be approved.

Done.

> alembic-libs.x86_64: W: file-not-utf8
> /usr/share/doc/alembic-libs/ACKNOWLEDGEMENTS.txt

Fixed.

> alembic-libs.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/libAlembic.so.1.7.1 H5T_STD_U16LE_g
> [...]

Fixed.

> alembic-libs.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libAlembic.so.1.7.1 /lib64/libImath-2_2.so.12
> [...]

Fixed.



Spec URL: https://slaanesh.fedorapeople.org/alembic.spec
SRPM URL: https://slaanesh.fedorapeople.org/alembic-1.7.1-2.fc25.src.rpm

Comment 4 Luya Tshimbalanga 2017-05-06 18:49:29 UTC
All fixes resolved the errors. The package is approved for the repository.

Comment 5 Gwyn Ciesla 2017-05-08 12:42:38 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/alembic

Comment 6 Fedora Update System 2017-05-08 15:03:46 UTC
openvdb-4.0.1-2.fc26 alembic-1.7.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-feb18d14f2

Comment 7 Fedora Update System 2017-05-08 15:03:59 UTC
alembic-1.7.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-696f2d0657

Comment 8 Fedora Update System 2017-05-08 15:04:09 UTC
openvdb-4.0.1-2.fc25 alembic-1.7.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c91fdc860

Comment 9 Fedora Update System 2017-05-08 15:04:20 UTC
openvdb-4.0.1-2.fc24 alembic-1.7.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-44a755a3db

Comment 10 Fedora Update System 2017-05-10 07:03:43 UTC
alembic-1.7.1-3.fc25, openvdb-4.0.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c91fdc860

Comment 11 Fedora Update System 2017-05-10 07:38:50 UTC
alembic-1.7.1-3.fc25 blender-2.78c-4.fc25 openvdb-4.0.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c91fdc860

Comment 12 Fedora Update System 2017-05-10 08:55:35 UTC
alembic-1.7.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-696f2d0657

Comment 13 Fedora Update System 2017-05-10 10:43:32 UTC
alembic-1.7.1-3.fc24, openvdb-4.0.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-44a755a3db

Comment 14 Fedora Update System 2017-05-10 12:13:32 UTC
alembic-1.7.1-3.fc24 blender-2.78c-4.fc24 openvdb-4.0.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-44a755a3db

Comment 15 Fedora Update System 2017-05-12 02:10:37 UTC
alembic-1.7.1-3.fc26, openvdb-4.0.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-feb18d14f2

Comment 16 Fedora Update System 2017-05-12 05:37:37 UTC
alembic-1.7.1-3.fc26 blender-2.78c-4.fc26 openvdb-4.0.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-feb18d14f2

Comment 17 Fedora Update System 2017-05-12 13:35:06 UTC
alembic-1.7.1-3.fc25, blender-2.78c-4.fc25, openvdb-4.0.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c91fdc860

Comment 18 Fedora Update System 2017-05-12 22:33:20 UTC
alembic-1.7.1-3.fc24, blender-2.78c-4.fc24, openvdb-4.0.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-44a755a3db

Comment 19 Fedora Update System 2017-05-13 01:09:07 UTC
alembic-1.7.1-3.fc26, blender-2.78c-4.fc26, openvdb-4.0.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-feb18d14f2

Comment 20 Fedora Update System 2017-05-23 00:26:22 UTC
alembic-1.7.1-3.fc24, blender-2.78c-4.fc24, openvdb-4.0.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-05-24 05:01:16 UTC
alembic-1.7.1-3.fc25, blender-2.78c-4.fc25, openvdb-4.0.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-05-26 07:26:52 UTC
alembic-1.7.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-06-09 18:52:57 UTC
alembic-1.7.1-3.fc26, blender-2.78c-4.fc26, openvdb-4.0.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.